Loading...
Searching...
No Matches
g2_unpack2.c File Reference

Unpack Section 2 (Local Use Section) of a GRIB2 message. More...

`#include "grib2_int.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

g2int | g2_unpack2 (unsigned char *cgrib, g2int *iofst, g2int *lencsec2, unsigned char **csec2)
| Unpack Section 2 (Local Use Section) of a GRIB2 message.

## Detailed Description

Unpack Section 2 (Local Use Section) of a GRIB2 message.

Author
  Stephen Gilbert

Date
  2002-10-31

Definition in file g2_unpack2.c.

## Function Documentation

## g2_unpack2()

g2int g2_unpack2 | ( | unsigned char * | cgrib,
|  | g2int * | iofst,
|  | g2int * | lencsec2,
|  | unsigned char ** | csec2
| ) |  |

Unpack Section 2 (Local Use Section) of a GRIB2 message.

### Program History Log

Date | Programmer | Comments
--- | --- | ---
2002-10-31 | Gilbert | Initial
2008-12-23 | Wesley | Initialize lencsec2 Length of Local Use data
2010-08-05 | Vuong | If section 2 has zero length, ierr=0

Parameters

  cgrib | char array containing Section 2 of the GRIB2 message.
  iofst | Pointer that contains the bit offset for the beginning of Section 2 in cgrib. The modified version will be returned.
  lencsec2 | Length (in octets) of Local Use data.
  csec2 | Pointer to a pointer that will get an allocated array containing local use data. This memory must be freed by the caller.

Returns
  - G2_NO_ERROR No error.
  - G2_UNPACK_BAD_SEC Array passed had incorrect section number.
  - G2_UNPACK_NO_MEM Memory allocation error.

Author
  Stephen Gilbert

Date
  2002-10-31

Definition at line 37 of file g2_unpack2.c.

References G2_NO_ERROR, G2_UNPACK_BAD_SEC, G2_UNPACK_NO_MEM, and gbit().

Referenced by g2_getfld().